This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 831871 - Review Request: openstack-swift-plugin-swift3 - The swift3 plugin for Openstack Swift
Review Request: openstack-swift-plugin-swift3 - The swift3 plugin for Opensta...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 20:58 EDT by Pete Zaitcev
Modified: 2012-11-19 13:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-18 15:15:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
apevec: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2012-06-13 20:58:23 EDT
Spec URL: http://people.redhat.com/zaitcev/tmp/openstack-swift-plugin-swift3.spec-1.0.0-20120612.1
SRPM URL: http://people.redhat.com/zaitcev/tmp/openstack-swift-plugin-swift3-1.0.0-20120612.1.fc16.src.rpm
Description:
The swift3 plugin permits accessing Openstack Swift via the
Amazon S3 API.

Fedora Account System Username: zaitcev
Comment 1 Alan Pevec 2012-06-14 06:52:09 EDT
> # Completely bogus group, but Alan Pevec's openstack-swift uses it.
> Group:		Development/Languages

Credit where the credit is due :) This is in openstack-swift since initial import
http://pkgs.fedoraproject.org/gitweb/?p=openstack-swift.git;a=blob;f=openstack-swift.spec;h=a058d294da703b9cfca5f66259c0635209ab3096;hb=f3dc2f6e4d7546319ec80035139a324e7f3fd78f

I'll change it in openstack-swift to Applications/System (like in rest openstack-* apps) but not sure what group is the best fit for plugins like this.

E.g. OpenStack python-*client RPMs also have Group: Development/Languages
but looking at /usr/share/doc/rpm-*/GROUPS better might be Development/Libraries
or just completely drop Group: tag from spec?
Comment 2 Pete Zaitcev 2012-06-14 15:45:29 EDT
I was told by someone that we aim for a drop, distro-wide, but I do not
see it in guidelines.
Comment 3 Alan Pevec 2012-06-14 15:56:03 EDT
Yeah, then let's drop it, guidelines only mention that -doc subpackages should have Group: Documentation

My other remarks from the review:
- Source0: should be only filename when it's SCM snapshot
  http://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control
- Since it's a pre-release, Release: should be 0.1.%{snapshot_tag}
  http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages
- In %files:
  %{python_sitelib}/*.egg-info would be easier for later updates

Rest of it is ok:
MUST
OK rpmlint
=> rpmlint openstack-swift-plugin-swift3-1.0.0-20120612.1.fc16.*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK name
OK spec
   file name = %{name}.spec
   American English
   legible
   locales %find_lang
   UTF-8 filenames
[-] Packaging Guidelines
    Needs small adjusments per above remarks.

OK license
   Fedora approved
   spec field
   in %doc
OK sources
   url
=> git archive --format=tar --prefix=swift3-1.0.0-5c74ba04/ 5c74ba04 | xz - > ../swift3-1.0.0-5c74ba04.tar.xz
   md5sum
=> echo "b21822c4fbfaa40f4164b371764abf76  swift3-1.0.0-5c74ba04.tar.xz" | md5sum -c
swift3-1.0.0-5c74ba04.tar.xz: OK

OK BuildRequires
OK directories
   own all or require a package
   no directory conflicts
OK no dups in %files (exception: license texts)
OK Permissions
OK consistently use macros
OK code or permissable content

SHOULD
OK build in mock
=> http://koji.fedoraproject.org/koji/taskinfo?taskID=4161481
Comment 5 Alan Pevec 2012-06-14 17:01:41 EDT
approved
Comment 6 Pete Zaitcev 2012-06-14 18:13:05 EDT
New Package SCM Request
=======================
Package Name: openstack-swift-plugin-swift3
Short Description: The swift3 plugin for Openstack Swift
Owners: zaitcev
Branches: f17 f18
InitialCC: apevec
Comment 7 Jon Ciesla 2012-06-15 09:09:18 EDT
Git done (by process-git-requests).

No need to request f18, currently==devel.
Comment 8 Alan Pevec 2012-10-04 10:48:51 EDT
Package Change Request
======================
Package Name: openstack-swift-plugin-swift3
New Branches: el6
Owners: apevec zaitcev
Comment 9 Jon Ciesla 2012-10-04 10:58:20 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-10-05 05:57:27 EDT
openstack-swift-plugin-swift3-1.0.0-0.20120711git.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-swift-plugin-swift3-1.0.0-0.20120711git.el6
Comment 11 Fedora Update System 2012-11-19 13:28:19 EST
openstack-swift-plugin-swift3-1.0.0-0.20120711git.el6, openstack-swift-1.7.4-2.el6, python-swiftclient-1.2.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.